## GnomeDbEntryNone

GnomeDbEntryNone — Default handling of unknown data types

## Synopsis

                GnomeDbEntryNone;
                GnomeDbEntryNonePrivate;
    GType       gnome_db_entry_none_get_type    (void);
    GtkWidget*  gnome_db_entry_none_new         (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----GnomeDbEntryShell
                                           +----GnomeDbEntryWrapper
                                                 +----GnomeDbEntryNone

## Implemented Interfaces

GnomeDbEntryNone implements AtkImplementorIface and GnomeDbDataEntry.

## Description

## Details

### GnomeDbEntryNone

    typedef struct _GnomeDbEntryNone GnomeDbEntryNone;

### GnomeDbEntryNonePrivate

    typedef struct _GnomeDbEntryNonePrivate GnomeDbEntryNonePrivate;

### gnome_db_entry_none_get_type ()

    GType       gnome_db_entry_none_get_type    (void);

Returns : |

### gnome_db_entry_none_new ()

    GtkWidget*  gnome_db_entry_none_new         (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

Creates a new widget which is mainly a GtkEntry

`dh` : | the data handler to be used by the new widget
`type` : | the requested data type (compatible with `dh`)
Returns : | the new widget